aboutsummaryrefslogtreecommitdiff
path: root/etc.BSD/rc.shutdown.in
diff options
context:
space:
mode:
Diffstat (limited to 'etc.BSD/rc.shutdown.in')
-rw-r--r--etc.BSD/rc.shutdown.in45
1 files changed, 45 insertions, 0 deletions
diff --git a/etc.BSD/rc.shutdown.in b/etc.BSD/rc.shutdown.in
new file mode 100644
index 00000000..dd553109
--- /dev/null
+++ b/etc.BSD/rc.shutdown.in
@@ -0,0 +1,45 @@
+#!/bin/sh
+# Copyright 2007 Roy Marples
+# All rights reserved
+
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+
+# Handle interrupts
+trap : SIGINT SIGQUIT
+
+# Try and use stuff in /lib over anywhere else so we can shutdown
+# local mounts correctly.
+export LD_LIBRARY_PATH="/lib${LD_LIBRARY_PATH:+:}${LDLIBRARY_PATH}"
+
+# If $TERM is not set then assume default of @TERM@
+# This gives us a nice colour boot :)
+[ -z "$TERM" -o "$TERM" = "dumb" ] && export TERM="@TERM@"
+
+# BSD's init works somewhat differently to sysvinit.
+# This block should 'translate' from the way init calls it to the way it would
+# be called by sysvinit on linux.
+case "$1" in
+ reboot) export RUNLEVEL=6;;
+ shutdown) export RUNLEVEL=0;;
+ single) export RUNLEVEL=S;;
+esac
+exec /sbin/rc "$1"